> For the complete documentation index, see [llms.txt](https://help.aphex.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.aphex.co/docs/integrations-and-api/apis/aphex-tasks-api/project-assets.md).

# Project Assets

Project assets are the defined lists of objects that can be attached to tasks within a project. You can query these assets to assist in constructing more precise Task queries.

## Get Users

Use this endpoint to query the list of Users on a project.

## get users

> Get users

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/users":{"get":{"description":"Get users","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/User"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get users"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"User":{"properties":{"displayName":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```

## Get Subcontractors

Use this endpoint to query the list of Subcontractors on a project.

## get subcontractors

> Get subcontractors

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/subcontractors":{"get":{"description":"Get subcontractors","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/Subcontractor"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get subcontractors"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"Subcontractor":{"properties":{"id":{"type":"string"},"name":{"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```

## Get Folders

Use this endpoint to query the tree of Folders on a project.

## get folders

> Get folders

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/folders":{"get":{"description":"Get folders","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/TaskFolder"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get folders"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"TaskFolder":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"parentId":{"type":"string"},"path":{"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```

## Get Packages

Use this endpoint to query the list of Packages on a project.

## get packages

> Get packages

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/packages":{"get":{"description":"Get packages","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/TaskPackage"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get packages"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"TaskPackage":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```

## Get Calendars

Use this endpoint to query the list of Calendars on a project.

## get calendars

> Get calendars

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/calendars":{"get":{"description":"Get calendars","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/TaskCalendar"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get calendars"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"TaskCalendar":{"properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"enum":["five-day","six-day","seven-day","two-day","custom"],"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```

## Get Locations

Use this endpoint to query the list of Locations on a project.

## get locations

> Get locations

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/locations":{"get":{"description":"Get locations","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/TaskLocation"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get locations"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"TaskLocation":{"properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"enum":["map","drawing","off-site"],"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```

## Get Delay Reasons

Use this endpoint to query the list of Delay Reasons on a project.

## get delay reasons

> Get delay reasons

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/delayReasons":{"get":{"description":"Get delay reasons","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/DelayReason"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get delay reasons"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"DelayReason":{"properties":{"category":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```

## Get Production Measures

Use this endpoint to query the list of Production Measures on a project.

## get production measures

> Get production measures

```json
{"openapi":"3.1.1","info":{"title":"Plan API","version":"1.4.0"},"servers":[{"url":"https://app.aphex.co/"}],"paths":{"/{region}/v1/projects/{projectId}/productionMeasures":{"get":{"description":"Get production measures","parameters":[{"schema":{"type":"string","enum":["gb","au"]},"description":"gb | au","in":"path","name":"region","required":true},{"schema":{"type":"string"},"description":"projectId","in":"path","name":"projectId","required":true},{"schema":{"type":"string"},"description":"access token","in":"header","name":"X-API-Key","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HttpResponse"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/ProductionMeasure"},"type":"array"}},"type":"object"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echo.HTTPError"}}}}},"summary":"get production measures"}}},"components":{"schemas":{"HttpResponse":{"properties":{"paging":{"$ref":"#/components/schemas/HttpPaging"},"results":{}},"type":"object"},"HttpPaging":{"properties":{"next":{"$ref":"#/components/schemas/HttpPage"}},"type":"object"},"HttpPage":{"properties":{"after":{"type":"string"},"link":{"type":"string"}},"type":"object"},"ProductionMeasure":{"properties":{"id":{"type":"string"},"name":{"type":"string"},"targetRateEnabled":{"type":"boolean"},"targetRateValue":{"type":"number"},"taskCount":{"type":"integer"},"unit":{"description":"Stored value, not a display label. Meters/Metres and Tonnes/Tons are distinct.","type":"string"},"unitName":{"type":"string"}},"type":"object"},"echo.HTTPError":{"properties":{"message":{}},"type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.aphex.co/docs/integrations-and-api/apis/aphex-tasks-api/project-assets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
